public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/phpunit8] f44: v8.5.53
@ 2026-07-07  5:31 Remi Collet
  0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-07-07  5:31 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/phpunit8
Branch : f44
Commit : 97d8d12ec2a6634132e1885532931bf5c66df4c7
Author : Remi Collet <remi@fedoraproject.org>
Date   : 2026-07-07T07:31:09+02:00
Stats  : +20/-29 in 4 file(s)
URL    : https://src.fedoraproject.org/rpms/phpunit8/c/97d8d12ec2a6634132e1885532931bf5c66df4c7?branch=f44

Log:
v8.5.53

---
diff --git a/.gitignore b/.gitignore
index 5e6abd0..815b461 100644
--- a/.gitignore
+++ b/.gitignore
@@ -43,3 +43,4 @@ clog
 /phpunit8-8.5.49-2605ccb.tgz
 /phpunit8-8.5.51-e4eee30.tgz
 /phpunit8-8.5.52-1015741.tgz
+/phpunit8-8.5.53.tgz

diff --git a/makesrc.sh b/makesrc.sh
index 3580b58..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -3,30 +3,25 @@
 NAME=$(basename $PWD)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
-VERSION=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
+VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
 
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
-	echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
 else
-	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
 	echo "Cloning..."
-	rm -rf $PROJECT-$COMMIT
-	git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-	echo "Getting commit..."
-	pushd $PROJECT-$COMMIT
-		git checkout $COMMIT || exit1
-		cp composer.json ../composer.json
-	popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
 	echo "Archiving..."
-	tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+	tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
 
 	echo "Cleaning..."
-	rm -rf $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
 
 	echo "Done."
 fi

diff --git a/phpunit8.spec b/phpunit8.spec
index 39933c5..02b8364 100644
--- a/phpunit8.spec
+++ b/phpunit8.spec
@@ -8,9 +8,6 @@
 #
 
 
-%global gh_commit    1015741814413c156abb0f53d7db7bbd03c6e858
-%global gh_date      2026-01-27
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
 %global gh_owner     sebastianbergmann
 %global gh_project   phpunit
 # Packagist
@@ -22,17 +19,14 @@
 %global ver_major    8
 %global ver_minor    5
 
-%global upstream_version 8.5.52
-#global upstream_prever  dev
-
 Name:           %{pk_project}%{ver_major}
-Version:        %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
+Version:        8.5.53
 Release:        1%{?dist}
 Summary:        The PHP Unit Testing framework version %{ver_major}
 
 License:        BSD-3-Clause
 URL:            https://github.com/%{gh_owner}/%{gh_project}
-Source0:        %{name}-%{upstream_version}-%{gh_short}.tgz
+Source0:        %{name}-%{version}.tgz
 Source1:        makesrc.sh
 
 # Fix command for autoload
@@ -71,10 +65,10 @@ BuildRequires:  php-fedora-autoloader-devel >= 1.0.0
 # From composer.json, "require": {
 #        "php": ">=7.2",
 #        "ext-dom": "*",
+#        "ext-filter": "*",
 #        "ext-json": "*",
 #        "ext-libxml": "*",
 #        "ext-mbstring": "*",
-#        "ext-xml": "*",
 #        "ext-xmlwriter": "*",
 #        "doctrine/instantiator": "^1.5.0",
 #        "myclabs/deep-copy": "^1.13.4",
@@ -99,7 +93,6 @@ Requires:       php-dom
 Requires:       php-json
 Requires:       php-libxml
 Requires:       php-mbstring
-Requires:       php-xml
 Requires:       php-xmlwriter
 Requires:       (php-composer(doctrine/instantiator) >= 1.5.0         with php-composer(doctrine/instantiator) <  2)
 Requires:       (php-composer(myclabs/deep-copy) >= 1.13.4            with php-composer(myclabs/deep-copy) <  2)
@@ -140,7 +133,6 @@ Requires:       php-phar
 
 %if 0%{?fedora} >= 39 || 0%{?rhel} >= 10
 Provides:       php-composer(phpunit/phpunit) = %{version}
-Provides:       phpunit                       = %{version}-%{release}
 %endif
 
 
@@ -155,7 +147,7 @@ Documentation: https://phpunit.de/documentation.html
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 %patch -P0 -p0 -b .rpm
 
 find . -name \*.rpm -delete -print
@@ -223,7 +215,7 @@ sed -e 's:@PATH@:%{buildroot}%{php_home}/%{ns_vendor}:' -i tests/bootstrap.php
 sed -e 's:%{php_home}/%{ns_vendor}:%{buildroot}%{php_home}/%{ns_vendor}:' -i phpunit
 
 ret=0
-for cmd in php php82 php83 php84 php85; do
+for cmd in php php82 php83 php84 php85 php86; do
   if which $cmd; then
      $cmd ./phpunit $OPT --verbose || ret=1
   fi
@@ -240,6 +232,9 @@ exit $ret
 
 
 %changelog
+* Tue Jul  7 2026 Remi Collet <remi@remirepo.net> - 8.5.53-1
+- update to 8.5.53
+
 * Tue Jan 27 2026 Remi Collet <remi@remirepo.net> - 8.5.52-1
 - update to 8.5.52
 

diff --git a/sources b/sources
index 2099ba8..ef6e336 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (phpunit8-8.5.52-1015741.tgz) = 06872c3be32789d79c0e48e441011ac97407755469532c1dcf6b94e08f5697fde0e1f6234d8a52515a5e476ed4238cc66dccc62c4150158e428e999e1ff0c405
+SHA512 (phpunit8-8.5.53.tgz) = d2245e28e32b7a3863e21ccf1ca9e9086eece48e62c3fea64fe520b2e207a66c98b683543cfaee0bbaa11fca149bad2da40376d10077e7ef7ff57347a7236522

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-07-07  5:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-07-07  5:31 [rpms/phpunit8] f44: v8.5.53 Remi Collet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox